---
title: "Export last activity of members"
url: "https://docs.signnow.com/docs/organization/operations/post-v2-organizations-organization_id-users-activity-export"
type: "endpoint"
section: "organization"
slug: "organization/operations/post-v2-organizations-organization_id-users-activity-export"
method: "POST"
path: "/v2/organizations/{organization_id}/users-activity/export"
operation_id: "post-v2-organizations-organization_id-users-activity-export"
authorization: "bearer"
---

# Export last activity of members

`POST /v2/organizations/{organization_id}/users-activity/export`

This endpoint allows for admin or moderator of the organization to get a CSV file of users activity of the organization. The file is sent by email.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of the organization |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `date_from` | integer | Yes | A timestamp that defines the timeframe for the data collection (from). |
| `date_to` | integer | Yes | A timestamp that defines the timeframe for the data collection (to). |
| `sort[email]` | string | No | Sort results by email. Possible values: asc, desc. |
| `email` | string | No | Filter results by email. Format: `&filters=[{"email":{"type":"=","value":"user@mail.com"}}]` |
| `ban` | boolean | No | Filter results by users that were banned from the organization or not. Format: `&filters=[{"ban":{"type": "=", "value": true/false}}]` |
| `subscriptionStatus` | string | No | Filter results by subscription status. Possible values: active, not_active. Format: `&filters=[{"subscriptionStatus":{"type": "=", "value": active/not_active}}]` |

## Responses

### 204

Success, no content

### 400

* The same request was made 30 minutes ago or less.
* Incorrect period value or format.
* Period values are missing.
* date_from is greater than date_to.
* date_from is not integer.
* date_to is not integer.
* The date range is more than 31 days.
* email filter type is not string.
* email filter type is not equal to '='.
* email filter value is not string.
* email filter value is not a valid email.
* email filter type or value is missing.
* ban filter type is not string.
* ban filter type is not equal to '='.
* ban filter value is not boolean.
* ban filter type or value is missing.
* subscriptionStatus filter type is not string.
* subscriptionStatus filter type is not equal to '='.
* subscriptionStatus filter value is not string.
* subscriptionStatus filter value is not equal to 'active' or 'not_active'.
* subscriptionStatus filter type or value is missing.
* Problem with saving data to queue.

**Example** (`ban type not =`)

```json
{
  "errors": [
    {
      "code": 12016007,
      "message": "The `ban` filter expression must be equal to `=`."
    }
  ]
}
```

**Example** (`date_to missing`)

```json
{
  "errors": [
    {
      "code": 12006009,
      "message": "The `date_to` field is required."
    }
  ]
}
```

**Example** (`email type not =`)

```json
{
  "errors": [
    {
      "code": 12016002,
      "message": "The `email` filter expression must be equal to `=`."
    }
  ]
}
```

**Example** (`Incorrect date_to`)

```json
{
  "errors": [
    {
      "code": 12006015,
      "message": "The `date_to` field value must be positive, non zero value."
    }
  ]
}
```

**Example** (`date_from missing`)

```json
{
  "errors": [
    {
      "code": 12006007,
      "message": "The `date_from` field is required."
    }
  ]
}
```

**Example** (`Incorrect date_from`)

```json
{
  "errors": [
    {
      "code": 12006014,
      "message": "The `date_from` field value must be positive, non zero value."
    }
  ]
}
```

**Example** (`ban type not string`)

```json
{
  "errors": [
    {
      "code": 12016006,
      "message": "Invalid filter format, filter `type` must be a string."
    }
  ]
}
```

**Example** (`date_to not integer`)

```json
{
  "errors": [
    {
      "code": 12006010,
      "message": "The `date_to` field must be an integer."
    }
  ]
}
```

**Example** (`Date range is too big`)

```json
{
  "errors": [
    {
      "code": 12006012,
      "message": "Date range should be less than 31 days."
    }
  ]
}
```

**Example** (`ban value not boolean`)

```json
{
  "errors": [
    {
      "code": 12016008,
      "message": "The `ban` filter value must be of type bool."
    }
  ]
}
```

**Example** (`date_from not integer`)

```json
{
  "errors": [
    {
      "code": 12006008,
      "message": "The `date_from` field must be an integer."
    }
  ]
}
```

**Example** (`email type not string`)

```json
{
  "errors": [
    {
      "code": 12016001,
      "message": "Invalid filter format, filter `type` must be a string."
    }
  ]
}
```

**Example** (`email value not string`)

```json
{
  "errors": [
    {
      "code": 12016003,
      "message": "The `email` filter value must be of type string."
    }
  ]
}
```

**Example** (`email not a valid email`)

```json
{
  "errors": [
    {
      "code": 12016005,
      "message": "The `email` filter value should be a valid email."
    }
  ]
}
```

**Example** (`ban type or value missing`)

```json
{
  "errors": [
    {
      "code": 12016009,
      "message": "Invalid `ban` filter format, filter must have `type` and `value` fields."
    }
  ]
}
```

**Example** (`This request already exists`)

```json
{
  "errors": [
    {
      "code": 12020001,
      "message": "A report with the same filtering criteria is already being generated. Try again later."
    }
  ]
}
```

**Example** (`email type or value missing`)

```json
{
  "errors": [
    {
      "code": 12016004,
      "message": "Invalid `email` filter format, filter must have `type` and `value` fields."
    }
  ]
}
```

**Example** (`Problem with saving to queue`)

```json
{
  "errors": [
    {
      "code": 12021001,
      "message": "Problem with saving to queue."
    }
  ]
}
```

**Example** (`subscriptionStatus type not =`)

```json
{
  "errors": [
    {
      "code": 12016011,
      "message": "The `subscriptionStatus` filter expression must be equal to `=`."
    }
  ]
}
```

**Example** (`date_from greater than date_to`)

```json
{
  "errors": [
    {
      "code": 12006011,
      "message": "`date_to` should be greater than `date_from`."
    }
  ]
}
```

**Example** (`Incorrect subscriptionStatus value`)

```json
{
  "errors": [
    {
      "code": 12016013,
      "message": "The `subscriptionStatus` filter value must be equal to `active` or `not_active`."
    }
  ]
}
```

**Example** (`subscriptionStatus type not string`)

```json
{
  "errors": [
    {
      "code": 12016010,
      "message": "The `subscriptionStatus` filter expression must be a string."
    }
  ]
}
```

**Example** (`subscriptionStatus value not string`)

```json
{
  "errors": [
    {
      "code": 12016012,
      "message": "The `subscriptionStatus` filter value must be a string."
    }
  ]
}
```

**Example** (`subscriptionStatus type or value missing`)

```json
{
  "errors": [
    {
      "code": 12016014,
      "message": "Invalid `subscriptionStatus` filter format, filter must have `type` and `value` fields."
    }
  ]
}
```

### 403

* User doesn't have active trial professional or enterprise subscription.
* User is not an administrator of the organization.
* Organization is not active.

**Example** (`User not admin`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

**Example** (`Subscription error`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`Organization not active`)

```json
{
  "errors": [
    {
      "code": 12003005,
      "message": "Organization is not active."
    }
  ]
}
```

### 404

Organization is not active or doesn't exist.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization {organization_id} is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations/{organization_id}/users-activity/export" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/post-v2-organizations-organization_id-users-activity-export*
